gprs_rlc_ul_hdr_egprs Union Reference
Coding

union across the three different EGPRS Uplink header types More...

## Data Fields

struct gprs_rlc_ul_header_egprs_1 | type1
struct gprs_rlc_ul_header_egprs_2 | type2
struct gprs_rlc_ul_header_egprs_3 | type3

## Detailed Description

union across the three different EGPRS Uplink header types

## Field Documentation

## type1

struct gprs_rlc_ul_header_egprs_1 gprs_rlc_ul_hdr_egprs::type1

Referenced by egprs_parse_ul_cps().

## type2

struct gprs_rlc_ul_header_egprs_2 gprs_rlc_ul_hdr_egprs::type2

Referenced by egprs_parse_ul_cps().

## type3

struct gprs_rlc_ul_header_egprs_3 gprs_rlc_ul_hdr_egprs::type3

Referenced by egprs_parse_ul_cps().

The documentation for this union was generated from the following file:

- src/coding/gsm0503_coding.c